modular {
    packageName "com.ydl.confide"
    // 模块发布需要的参数
    publish {
        modules {
            xlzx {
                //发布信息 module/api 通用
                groupId = "com.ydl"
                artifactId = "m-confide-module-xlzx"
                // 上报的业务模块 aar 包的版本号
                version = rootProject.ext.ydlPublishVersion[childProject.getName()]
            }

            ydl{
                //发布信息 module/api 通用
                groupId = "com.ydl"
                artifactId = "m-confide-module-ydl"
                // 上报的业务模块 aar 包的版本号
                version = rootProject.ext.ydlPublishVersion[childProject.getName()]
            }
        }

        api {
            //发布信息 module/api 通用
            groupId = "com.ydl"
            artifactId = "m-confide-api"
            version = rootProject.ext.ydlPublishVersion["${childProject.getName()}-api"]
            // API 层打包时需要引入的依赖
            apiDependencies {
                implementation "com.google.code.gson:gson:2.8.2"
                implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk7:$kotlin_version"
                implementation 'com.alibaba:arouter-api:1.4.1'
            }
        }
    }
}